> ## Documentation Index
> Fetch the complete documentation index at: https://docs.taidalos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Override Article Risk Assessment



## OpenAPI

````yaml POST /v1/media-search-articles/override-disposition
openapi: 3.0.0
info:
  title: Taidalos API Documentation
  termsOfService: https://www.taidalos.com/gtc/
  contact:
    name: Customer Support
    url: https://www.taidalos.com
    email: cs@taidalos.com
  version: '1.0'
servers:
  - url: https://api.taidalos.com
security: []
tags:
  - description: Operations about subjects
    name: Subjects
  - description: Operations about media search configuration
    name: Media Search Configuration
  - description: Operations about media search
    name: Media Search
externalDocs:
  description: Get started with guides
  url: https://taidalos.com/tags/guide/
paths:
  /v1/media-search-articles/override-disposition:
    post:
      tags:
        - Media Search
      summary: Override Media Search Article Risk Assessment
      parameters:
        - description: <Authorization Token>
          name: Authorization
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/main.overrideMediaArticleDispositionRequest'
        description: request body
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/main.overrideMediaArticleDispositionResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/main.problemJson'
components:
  schemas:
    main.overrideMediaArticleDispositionRequest:
      type: object
      properties:
        data:
          description: >-
            `data` defines the structure containing justification, risk level,
            and associated risk categories for an entity.
          type: object
          required:
            - justification
            - media_article_id
            - risk
          properties:
            justification:
              description: >-
                `justification` specifies the reason or rationale for the
                assigned risk or disposition of the subject entity.
              type: string
              example: Subject conducted fraud.
            media_article_id:
              description: >-
                `media_article_id` represents the unique identifier for a media
                search article.
              type: string
              example: 123e4567-e89b-12d3-a456-426614174000
            risk:
              description: >-
                `risk` specifies the risk level associated with an entity, such
                as "RISKY" or "NOT_RISKY".
              type: string
              enum:
                - RISKY
                - NOT_RISKY
              example: RISKY
            risk_categories:
              description: >-
                `risk_categories` specifies the categories of risk associated
                with an entity, represented as a list of descriptive strings.
                Risk Categories are required if the risk is set to "RISKY" and
                are not allowed if the risk is set to "NOT_RISKY".
              type: array
              items:
                type: string
              example:
                - Money Laundering
                - Sanctions
                - Human Rights Abuse
    main.overrideMediaArticleDispositionResponse:
      type: object
      properties:
        data:
          description: >-
            `data` represents the structure containing the unique identifier for
            the updated media search article disposition.
          type: object
          properties:
            media_search_article_disposition_id:
              description: >-
                `media_search_article_disposition_id` represents the unique
                identifier for the updated media search article disposition.
              type: string
              example: 123e4567-e89b-12d3-a456-426614174000
    main.problemJson:
      type: object
      properties:
        context:
          description: >-
            `context` provides additional information about the error, including
            the HTTP method and path where it occurred.
          allOf:
            - $ref: '#/components/schemas/main.defaultProblemContext'
        details:
          description: >-
            `details` provides a detailed human-readable explanation of the
            specific error.
          type: string
          example: Details explaining the error
        instance:
          description: >-
            `instance` specifies a unique URI identifying the context of the
            error, such as organisation, user, and request details.
          type: string
          example: /org/{org_id}/user/{user_id}/request-id/{request_id}
        title:
          description: >-
            `title` provides a short, human-readable summary of the problem type
            or error encountered.
          type: string
          example: Error ShortName
        type:
          description: >-
            `type` is a URI reference that identifies the problem type, allowing
            clients to recognize the type of error encountered.
          type: string
          example: https://errors.taidalos.com/common/{error-type}
    main.defaultProblemContext:
      type: object
      required:
        - method
        - path
      properties:
        method:
          description: >-
            `method` specifies the HTTP method (e.g., GET, POST) that was used
            in the problematic request.
          type: string
          example: '{method}'
        path:
          description: >-
            `path` specifies the HTTP request path associated with the
            encountered problem.
          type: string
          example: '{path}'
        timestamp:
          type: string

````